TSORT(1)

NAZWA
tsort - sortowanie topologiczne

SKŁADNIA

tsort
    [--help] [--version] [plik]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo tsort
lub
    info tsort.

Ta strona podręcznika opisuje polecenie tsort w wersji GNU.

tsort wykonuje sortowanie topologiczne zadanego pliku lub standardowego wejścia jeśli nie podano pliku lub podano plik o nazwie '-'. Wynik wypisywany jest na standardowe wyjście. tsort czyta wejście jako pary łańcuchów, oddzielanych odstępami, opisujące częściowe uporządkowanie. Wynikiem jest całkowite uporządkowanie odpowiadające zadanemu uporządkowaniu częściowemu. [tłum.: Pary łańcuchów są nazwami węzłów wyznaczających początek i koniec krawędzi grafu skierowanego. Jeżeli węzeł nie jest połączony z innymi, można do sortowania topologicznego zapisać go jako połączony z samym sobą.] Na przykład:
     tsort <<EOF
     a b c
     d
     e f
     b c d e
     EOF
da jako wynik:
     a
     b
     c
     d
     e
     f
tsort rozpoznaje pętle (cykle grafu) w wejściu i wypisuje pierwszą napotkaną na standardowe wyjście błędów.

Zauważ, że dla danego uporządkowania częściowego zazwyczaj nie istnieje unikatowe uporządkowanie całkowite.

OPCJE
tsort posiada tylko dwie opcje:

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
sort(1), uniq(1), comm(1), ptx(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.